Subject: bug#79176: [PATCH] ; * lisp/indent-aux.el: Remove read-only text property

From: Eli Zaretskii <[email-masked]>
Date: Tue, 05 Aug 2025 17:49:24 +0300

> From: Tony Zorman <[email-masked]>
> Date: Tue, 05 Aug 2025 13:23:04 +0200
> 
> when one uses `kill-ring-deindent-mode' and selects read-only text, the
> mode can't actually deindent it, which causes a lot of `beep' noise and
> prevents the user from killing the selected text (or from any other
> action, really). This patch fixes this by removing that particular
> property before the text is inserted into the temporary buffer.

Thanks, but isn't it better to bind inhibit-read-only non-nil around
the code which modifies the text instead?  By default
yank-excluded-properties includes read-only, but what if someone
changes the value not to include read-only? won't they expect to see
the read-only property when the text is yanked?